Subject: Re: bug#58224: 29.0.50; "make bootstrap" spuriously warns: "comp.el newer than byte-compiled file"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 01 Oct 2022 16:29:37 +0200

Stefan Kangas <[email-masked]> writes:

> Every time I "make bootstrap", I get a ton of spurious messages (see
> below).  I believe they started showing up with Lars' much appreciated
> work on improving build speeds. 

No, I think they were there before that.

> Is there any chance we could do something to silence them?  If we
> can't solve it "properly", how about just a hack?  For example, could
> we add some variable to suppress these messages at this stage of the
> build process?

Yes, making the warnings go away would be nice.